当前已保存的用户坐标系坐标点到世界坐标系的转换

 

ExpandedBlockStart.gif 代码
// 当前已保存的用户坐标系坐标点到世界坐标系的转换
Sub  Example_TranslateCoordinates()
    
Set  ucsObj  =  ThisDrawing.ActiveUCS  ' 得到当前坐标系
    
    
'  Have the user enter a point
     Dim  pointWCS  As  Variant
    pointWCS 
=  ThisDrawing.Utility.GetPoint(,  " Enter a point to translate: " )
    
    
'  Translate the point into UCS coordinates
     Dim  pointUCS  As  Variant
    pointUCS 
=  ThisDrawing.Utility.TranslateCoordinates(pointWCS, acWorld, acUCS,  False )
    
    
'  Display the coordinates of the point
     MsgBox   " The point has the following coordinates: "   &  vbCrLf  &  _
            
" WCS:  "   &  pointWCS( 0 &   " "   &  pointWCS( 1 &   " "   &  pointWCS( 2 &  vbCrLf  &  _
            
" UCS:  "   &  pointUCS( 0 &   " "   &  pointUCS( 1 &   " "   &  pointUCS( 2 ), ,  " TranslateCoordinates Example "

End Sub

 

 

转载于:https://www.cnblogs.com/houlinbo/archive/2010/05/22/1741622.html

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值